Skip to main content
`Ctrl`+`K`

# PetscIsNanReal

Returns whether the `PetscReal` input is a Not-a-Number (NaN) value.

## Synopsis

    #if defined(PETSC_USE_REAL___FLOAT128)
    PetscBool PetscIsNanReal(PetscReal a)

## Input Parameter

- a - the floating point number

## Developer Notes

Uses the C99 standard `isnan()` on systems where it exists.

Otherwise uses (a != a), note that some optimizing compilers compile out this form, thus removing the check.

## See Also

`PetscIsNormalReal()`, `PetscIsInfReal()`

## Level

beginner

## Location

src/sys/utils/mathinf.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages